Package org.eclipse.graphiti.palette

# Interface IPaletteEntry

All Known Subinterfaces:
  `IConnectionCreationToolEntry`, `ICreationToolEntry`, `IObjectCreationToolEntry`, `IPaletteCompartmentEntry`, `IPaletteSeparatorEntry`, `IStackToolEntry`, `IToolEntry`

All Known Implementing Classes:
  `AbstractPaletteEntry`, `AbstractPaletteToolEntry`, `ConnectionCreationToolEntry`, `ObjectCreationToolEntry`, `PaletteCompartmentEntry`, `PaletteSeparatorEntry`, `StackEntry`

public interface IPaletteEntry
The Interface IPaletteEntry.

## Method Summary

Modifier and Type
Method
Description
`String`
`getIconId()`
Gets the icon id.
`String`
`getLabel()`
Gets the label.

## Method Details

### getLabel

String getLabel()
Gets the label.

Returns:
  the label

### getIconId

String getIconId()
Gets the icon id.

Returns:
  the icon id